goto %~1

rem Tool zum erstellen von NX Load_Option Files

 rem gen Refile Options
:LoadOptFileGen_UnSetOpt
 set LoadOptions_SearchPaths=
 set LoadOptions_LoadComponents=
 set LoadOptions_LoadFully=
 set LoadOptions_UseLightweightRepresentations=
 set LoadOptions_LoadWAVE=
 set LoadOptions_LoadWAVEParents=
 set LoadOptions_LoadSubstitution=
 set LoadOptions_LoadLatest=
 set LoadOptions_LoadOption=
 set LoadOptions_LoadFilters=
 set LoadOptions_LoadFailOption=
 set LoadOptions_ReferenceSets=
 set LoadOptions_ApplyAllLevels=
 set LoadOptions_GenerateMissingPFM=
 goto :eof

rem - - - -
:LoadOptFileGen_SetDefaultOptions
 rem Search path muss vom Anwender kommen
 set LoadOptions_LoadComponents=load_all_components
 set LoadOptions_LoadFully=YES
 set LoadOptions_UseLightweightRepresentations=NO
 set LoadOptions_LoadWAVE=YES
 set LoadOptions_LoadWAVEParents=IMMEDIATE
 set LoadOptions_LoadSubstitution=dont_allow_substitution
 set LoadOptions_LoadLatest=NO
 set LoadOptions_LoadOption=load_from_search_dirs
 set LoadOptions_LoadFilters=load_no_components
 set LoadOptions_LoadFailOption=dont_abort
 set LoadOptions_ReferenceSets="As Saved" "Entire Part" "Empty"
 set LoadOptions_ApplyAllLevels=NO
 set LoadOptions_GenerateMissingPFM=NO
 goto :eof

rem - - - -
:LoadOptFileGen_SetOptionsLoadNoCompWaveNoFullyNo
 rem Search path muss vom Anwender kommen
 call :LoadOptFileGen_SetOptionsLoadNoComp
 set LoadOptions_LoadFully=NO
 set LoadOptions_UseLightweightRepresentations=YES
 set LoadOptions_LoadWAVE=NO
 set LoadOptions_LoadWAVEParents=NONE
 goto :eof

rem - - - -
:LoadOptFileGen_SetOptionsLoadAllComp
 set LoadOptions_LoadComponents=load_all_components
 goto :eof

rem - - - -
:LoadOptFileGen_SetOptionsLoadNoComp
 set LoadOptions_LoadComponents=load_no_components
 goto :eof

 rem - - - -
:LoadOptFileGen
  rem new 12/10/2012 17:18 J.Fes generiert Dynamisch den Load_opt_Files
  rem #Doc: to use other values as default define bevor call :LoadOptFileGen
  rem       Example: set LoadOptions_LoadComponents=load_all_components
  if "%~2" neq "" set UGII_LOAD_OPTIONS=%~2
  if defined LoadOptions_SearchPaths_Custom            Echo LoadOptions_SearchPaths: %LoadOptions_SearchPaths_Custom%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_SearchPaths                   Echo LoadOptions_SearchPaths: %LoadOptions_SearchPaths%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_LoadComponents                Echo LoadOptions_LoadComponents: %LoadOptions_LoadComponents%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_LoadFully                     Echo LoadOptions_LoadFully: %LoadOptions_LoadFully%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_UseLightweightRepresentations Echo LoadOptions_UseLightweightRepresentations: %LoadOptions_UseLightweightRepresentations%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_LoadWAVE                      Echo LoadOptions_LoadWAVE: %LoadOptions_LoadWAVE%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_LoadWAVEParents               Echo LoadOptions_LoadWAVEParents: %LoadOptions_LoadWAVEParents%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_LoadSubstitution              Echo LoadOptions_LoadSubstitution: %LoadOptions_LoadSubstitution%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_LoadLatest                    Echo LoadOptions_LoadLatest: %LoadOptions_LoadLatest%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_LoadOption                    Echo LoadOptions_LoadOption: %LoadOptions_LoadOption%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_LoadFilters                   Echo LoadOptions_LoadFilters: %LoadOptions_LoadFilters%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_LoadFailOption                Echo LoadOptions_LoadFailOption: %LoadOptions_LoadFailOption%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_ReferenceSets                 Echo LoadOptions_ReferenceSets: %LoadOptions_ReferenceSets%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_ApplyAllLevels                Echo LoadOptions_ApplyAllLevels: %LoadOptions_ApplyAllLevels%>>"%UGII_LOAD_OPTIONS%"
  if defined LoadOptions_GenerateMissingPFM            Echo LoadOptions_GenerateMissingPFM: %LoadOptions_GenerateMissingPFM%>>"%UGII_LOAD_OPTIONS%"
  if /I "%JobMgr_Debug%" neq "ON" goto :JumbOverDebug
   Call Echo "Content of Nx-Loadoption File"
   Call Echo " [%UGII_LOAD_OPTIONS%]"
   type "%UGII_LOAD_OPTIONS%"
   pause
:JumbOverDebug

goto :eof
